export const ACTION_LIST_DIRECTION_ROW = 'row';
export const ACTION_LIST_DIRECTION_ROW_REVERSE = 'rowReverse';
export const ACTION_LIST_DIRECTION_COLUMN = 'column';
export const ACTION_LIST_DIRECTION_COLUMN_REVERSE = 'columnReverse';

export type availableActionsListDirections =
    typeof ACTION_LIST_DIRECTION_ROW
    | typeof ACTION_LIST_DIRECTION_ROW_REVERSE
    | typeof ACTION_LIST_DIRECTION_COLUMN
    | typeof ACTION_LIST_DIRECTION_COLUMN_REVERSE;

export const availableActionsListDirectionList = [
    ACTION_LIST_DIRECTION_ROW,
    ACTION_LIST_DIRECTION_ROW_REVERSE,
    ACTION_LIST_DIRECTION_COLUMN,
    ACTION_LIST_DIRECTION_COLUMN_REVERSE,
];
